package com.atlassian.bitbucket.mesh.git.builder.symbolicref;

import com.atlassian.bitbucket.mesh.git.builder.GitProcessBuilder;

import javax.annotation.Nonnull;

public class DefaultGitSymbolicRef implements GitSymbolicRef {

    private final GitProcessBuilder builder;

    public DefaultGitSymbolicRef(GitProcessBuilder builder) {
        this.builder = builder.command("symbolic-ref");
    }

    @Nonnull
    @Override
    public GitSymbolicRefGetBuilder get(String name) {
        return new DefaultGitSymbolicRefGetBuilder(builder, name);
    }

    @Nonnull
    @Override
    public GitSymbolicRefSetBuilder set(String name, String ref) {
        return new DefaultGitSymbolicRefSetBuilder(builder, name, ref);
    }
}
